As a developer, I can easily view the project's test coverage
Closed, ResolvedPublic2 Story Points

Description

Rationale

Having code coverage before and after CI was added will help us determine is affect on whether developers write more tests.

Acceptance criteria

Given I am on the Wikipedia iOS repo
When I go to the project README
Then I should see a badge declaring our current test coverage

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2015, 3:26 PM
BGerstle-WMF renamed this task from Implement test coverage CI job to As a developer, I can easily measure test coverage.Jul 24 2015, 1:42 PM
BGerstle-WMF updated the task description. (Show Details)
MBinder_WMF edited a custom field.Jul 24 2015, 6:37 PM

So, we have code coverage as part of review (via CI), but not runnable locally... thoughts @Fjalapeno @Mhurd?

BGerstle-WMF renamed this task from As a developer, I can easily measure test coverage to As a developer, I can easily view the project's test coverage.Jul 28 2015, 5:35 PM
BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF closed this task as Resolved.
BGerstle-WMF claimed this task.

Re-scoped to exclude local coverage reports (since it's separate from CI anyway).